DCMTK - Bug #628

Warnings in vrscanl.c
2015-04-16 11:08 - Jan Schlamelcher

Status: Closed Start date: 2015-04-16
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.4

Module: dcmdata Compiler:

Operating System:

Description
Apply fixes for vrscanl.c to the flex skeleton, so they don't get overwritten the next time the code is newly generated.

History

#1 - 2017-03-14 16:17 - Jan Schlamelcher

The flex skeleton file for C flex (not flex++) contains GNU Autoconf dependent code that is evaluated when compiling flex for building it into the flex
executable. This solution is therefore not viable.

#2 - 2017-03-16 11:17 - Jan Schlamelcher

- Status changed from Assigned to Closed

While testing whether it is possible to disable the warnings by adding appropriate 'ofdiag’ includes to the lexer file (vrscanl.l), | noticed that these
warnings no longer exist in newer versions of flex. So the solution is simple: don't use the outdated flex package that ships with Debian ‘jessie’ if you
want the warnings to go away. To be fair: the flex package that ships with current Arch Linux produces code that emits three warnings, of which one
has been fixed on 25.01.2017 in the current flex developement version, which is not yet available under Arch Linux.

#3 - 2018-03-06 15:11 - J6rg Riesmeier
- Category set to Library
- Status changed from Closed to Reopened

- Target version changed from 3.6.1+ to 3.6.4

VisualStudio still reports the following warning (8 times, see Dashboard):

warning C4267: '=': conversion from 'size_t' to 'int', possible loss of data

#4 - 2018-03-11 17:01 - J6rg Riesmeier
- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Fixed by switching to flex 2.6.4 (see commit da8e84d).
http://git.dcmtk.org/web?p=dcmtk.git;a=blobdiff;f=dcmdata/libsrc/vrscanl.c;h=cfafdc57b778ae625f5b4d0dabeaf95b69e73f20;hp=82898cbb0b3c9133e1d0af6b1a96f72ace416752;hb=093768ab7bcceaafc788fc3436eeb97fdb910435;hpb=66c13473271a13cc71aa6079346a18e15f69dd36
https://github.com/westes/flex/issues/155
http://www.tcpdf.org

